<?php

// 実行可否（0:不実行  1:Cookie発行  2:Cookie削除）
$execute = 0;

// 実行しない場合は終了
if (!$execute) {
	exit;
}

// Cookie発行の時
elseif ($execute === 1) {
	
	// 有効期限を定義
	$time = $_SERVER['REQUEST_TIME'] + (60 * 60 * 24 * 365);
	
	// メッセージを定義
	$message = 'Set Cookie!';
	
}

// Cookie削除の時
elseif ($execute === 2) {
	
	// 有効期限を定義
	$time = 0;
	
	// メッセージを定義
	$message = 'Delete Cookie!';
	
}

// 現在のサーバーホストを分割
$domain = array_reverse(explode('.', $_SERVER['SERVER_NAME']));

// 2nd LD の長さが3以上の時（属性無し）
if (strlen($domain[1]) > 2) {
	$host = '.' . $domain[1] . '.' . $domain[0];
}

// 2nd LD の長さが2以下の時（属性有り）
else {
	$host = '.' . $domain[2] . '.' . $domain[1] . '.' . $domain[0];
}

// クロスドメイン用ヘッダーを出力
header("P3P: CP='UNI CUR OUR'");

// Cookieを発行
setcookie('lunalysLogin', "user=&pass=", $time, '/', $host);

// メッセージを出力
echo $message;

